Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 807796 - [abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/paulo_5fferreira25_40hotmail_2ecom at 0x2a7e790>
Summary: [abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:08cae989d038afcfee654f74fed...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-28 18:13 UTC by Paulo Ferreira
Modified: 2013-02-13 10:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 10:32:09 UTC
Type: ---


Attachments (Terms of Use)

Description Paulo Ferreira 2012-03-28 18:13:47 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.3.0-4.fc16.x86_64
reason:         connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/paulo_5fferreira25_40hotmail_2ecom at 0x2a7e790>
time:           Qua 28 Mar 2012 15:12:50 BRT
uid:            1000
username:       locoonline

backtrace:
:connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/paulo_5fferreira25_40hotmail_2ecom at 0x2a7e790>
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 438, in disconnected
:    self._state = ClientState.CLOSED
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 330, in fset
:    self._dispatch("on_client_state_changed", state)
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 393, in on_client_state_changed
:    self._disconnected()
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 286, in _disconnected
:    self._manager.disconnected(self)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection_manager.py", line 51, in disconnected
:    result = telepathy.server.ConnectionManager.disconnected(self, conn)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/connmgr.py", line 65, in disconnected
:    self._connections.remove(conn)
:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/paulo_5fferreira25_40hotmail_2ecom at 0x2a7e790>
:
:Local variables in innermost frame:
:self: <butterfly.connection_manager.ButterflyConnectionManager at /org/freedesktop/Telepathy/ConnectionManager/butterfly at 0x2a69150>
:conn: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/paulo_5fferreira25_40hotmail_2ecom at 0x2a7e790>

smolt_data:
:
:
:Geral
:=================================
:UUID: 8d7e9f18-fc0a-4d34-9d11-8572c5b5048d
:SO: Fedora release 16 (Verne)
:Nível de execução padrão: Unknown
:Idioma: pt_BR.utf8
:Plataforma: x86_64
:BogoMIPS: 4256.15
:Fabricante da CPU: GenuineIntel
:Modelo da CPU: Intel(R) Core(TM) i3 CPU       M 330  @ 2.13GHz
:Versão da CPU: 2
:Família da CPU: 6
:Modelo da CPU: 37
:Número de CPUs: 4
:Velocidade da CPU: 2133
:Memória do sistema: 7651
:Swap do sistema: 3813
:Fabricante: Sony Corporation
:Sistema: VPCEB15FB C70046XU
:Fator de uso: Notebook
:Kernel: 3.3.0-4.fc16.x86_64
:SELinux habilitado: 1
:Politica do SELinux: targeted
:Modo de reforço do SELinux: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(32902:68:4173:36977) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(4523:17281:4173:36977) pci, sky2, ETHERNET, Yukon Optima 88E8059 [PCIe Gigabit Ethernet Controller with AVB]
:(32902:15152:4173:36977) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:4173:36977) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:4173:36977) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4173:36977) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:15174:4173:36977) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(5772:43:4187:57367) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(32902:15164:4173:36977) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9288:4173:36977) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15204:4173:36977) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(4480:57904:4173:36977) pci, None, BASE, Memory Stick Host Controller
:(4480:59426:4173:36977) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(4480:59426:4173:36977) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(32902:70:4173:36977) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15170:4173:36977) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4173:36977) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:4173:36977) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:4173:36977) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15180:4173:36977) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 6
:(32902:11521:4173:36977) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:11362:4173:36977) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11537:4173:36977) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11536:4173:36977) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11539:4173:36977) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11538:4173:36977) pci, None, HOST/PCI, Core Processor Reserved
:
:
:Informações do sistema de arquivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda6 / ext4 4096 4096 5294602 3845743 3792738 1327104 1165935 1165935
:/dev/sda3 WITHHELD ext4 4096 4096 75286849 17673798 13905175 18849792 18384478 18384478
:/dev/sda5 /boot ext4 1024 1024 289067 222356 207764 73152 72922 72922
:

Comment 1 Fedora End Of Life 2013-01-16 11:19:27 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora End Of Life 2013-02-13 10:32:12 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.